package com.willalp.code.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.TreeEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 编码配置对象 hs_sys_code
 *
 * @author bjh
 * @date 2021-12-06
 */

@TableName("hs_sys_code")
public class HsSysCode extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 机构id */
    @Excel(name = "机构id")
    private String jgid;

    /** 层级编码 */
    @Excel(name = "层级编码")
    private String levelid;

    /** 编码字典 */
    @Excel(name = "编码字典")
    private String codeid1;

    @Excel(name = "长度")
    private String length1;

    /** 值 */
    @Excel(name = "值")
    private String name1;

    /** 编码字典 */
    @Excel(name = "编码字典")
    private String codeid2;

    @Excel(name = "长度")
    private String length2;

    /** 值 */
    @Excel(name = "值")
    private String name2;

    /** 编码字典 */
    @Excel(name = "编码字典")
    private String codeid3;

    @Excel(name = "长度")
    private String length3;

    /** 值 */
    @Excel(name = "值")
    private String name3;

    /** 编码字典 */
    @Excel(name = "编码字典")
    private String codeid4;

    @Excel(name = "长度")
    private String length4;

    /** 值 */
    @Excel(name = "值")
    private String name4;

    /** 编码字典 */
    @Excel(name = "编码字典")
    private String codeid5;

    @Excel(name = "长度")
    private String length5;

    /** 值 */
    @Excel(name = "值")
    private String name5;

    /** 编码字典 */
    @Excel(name = "编码字典")
    private String codeid6;

    @Excel(name = "长度")
    private String length6;

    /** 值 */
    @Excel(name = "值")
    private String name6;

    /** 编码字典 */
    @Excel(name = "编码字典")
    private String codeid7;

    @Excel(name = "长度")
    private String length7;

    /** 值 */
    @Excel(name = "值")
    private String name7;

    /** 编码字典 */
    @Excel(name = "编码字典")
    private String codeid8;

    @Excel(name = "长度")
    private String length8;

    /** 值 */
    @Excel(name = "值")
    private String name8;

    /** 编码字典 */
    @Excel(name = "编码字典")
    private String codeid9;

    @Excel(name = "长度")
    private String length9;

    /** 值 */
    @Excel(name = "值")
    private String name9;

    /** 汇总编码 */
    @Excel(name = "汇总编码")
    private String summary;

    /** 是否审批 0:否；1:是 */
    @Excel(name = "是否审批 0:否；1:是")
    private String approved;

    /** 是否注销 */
    @Excel(name = "是否注销")
    private String sfzx;

    public void setId(Long id)
    {
        this.id = id;
    }

    @Override
    public String getId()
    {
        return String.valueOf(id);
    }
    public void setJgid(String jgid)
    {
        this.jgid = jgid;
    }

    public String getJgid()
    {
        return jgid;
    }
    public void setLevelid(String levelid)
    {
        this.levelid = levelid;
    }

    public String getLevelid()
    {
        return levelid;
    }
    public void setCodeid1(String codeid1)
    {
        this.codeid1 = codeid1;
    }

    public String getCodeid1()
    {
        return codeid1;
    }
    public void setName1(String name1)
    {
        this.name1 = name1;
    }

    public String getName1()
    {
        return name1;
    }
    public void setCodeid2(String codeid2)
    {
        this.codeid2 = codeid2;
    }

    public String getCodeid2()
    {
        return codeid2;
    }
    public void setName2(String name2)
    {
        this.name2 = name2;
    }

    public String getName2()
    {
        return name2;
    }
    public void setCodeid3(String codeid3)
    {
        this.codeid3 = codeid3;
    }

    public String getCodeid3()
    {
        return codeid3;
    }
    public void setName3(String name3)
    {
        this.name3 = name3;
    }

    public String getName3()
    {
        return name3;
    }
    public void setCodeid4(String codeid4)
    {
        this.codeid4 = codeid4;
    }

    public String getCodeid4()
    {
        return codeid4;
    }
    public void setName4(String name4)
    {
        this.name4 = name4;
    }

    public String getName4()
    {
        return name4;
    }
    public void setCodeid5(String codeid5)
    {
        this.codeid5 = codeid5;
    }

    public String getCodeid5()
    {
        return codeid5;
    }
    public void setName5(String name5)
    {
        this.name5 = name5;
    }

    public String getName5()
    {
        return name5;
    }
    public void setCodeid6(String codeid6)
    {
        this.codeid6 = codeid6;
    }

    public String getCodeid6()
    {
        return codeid6;
    }
    public void setName6(String name6)
    {
        this.name6 = name6;
    }

    public String getName6()
    {
        return name6;
    }
    public void setCodeid7(String codeid7)
    {
        this.codeid7 = codeid7;
    }

    public String getCodeid7()
    {
        return codeid7;
    }
    public void setName7(String name7)
    {
        this.name7 = name7;
    }

    public String getName7()
    {
        return name7;
    }
    public void setCodeid8(String codeid8)
    {
        this.codeid8 = codeid8;
    }

    public String getCodeid8()
    {
        return codeid8;
    }
    public void setName8(String name8)
    {
        this.name8 = name8;
    }

    public String getName8()
    {
        return name8;
    }
    public void setCodeid9(String codeid9)
    {
        this.codeid9 = codeid9;
    }

    public String getCodeid9()
    {
        return codeid9;
    }
    public void setName9(String name9)
    {
        this.name9 = name9;
    }

    public String getName9()
    {
        return name9;
    }
    public void setSummary(String summary)
    {
        this.summary = summary;
    }

    public String getSummary()
    {
        return summary;
    }
    public void setApproved(String approved)
    {
        this.approved = approved;
    }

    public String getApproved()
    {
        return approved;
    }
    public void setSfzx(String sfzx)
    {
        this.sfzx = sfzx;
    }

    public String getSfzx()
    {
        return sfzx;
    }

    public String getLength1() {
        return length1;
    }

    public void setLength1(String length1) {
        this.length1 = length1;
    }

    public String getLength2() {
        return length2;
    }

    public void setLength2(String length2) {
        this.length2 = length2;
    }

    public String getLength3() {
        return length3;
    }

    public void setLength3(String length3) {
        this.length3 = length3;
    }

    public String getLength4() {
        return length4;
    }

    public void setLength4(String length4) {
        this.length4 = length4;
    }

    public String getLength5() {
        return length5;
    }

    public void setLength5(String length5) {
        this.length5 = length5;
    }

    public String getLength6() {
        return length6;
    }

    public void setLength6(String length6) {
        this.length6 = length6;
    }

    public String getLength7() {
        return length7;
    }

    public void setLength7(String length7) {
        this.length7 = length7;
    }

    public String getLength8() {
        return length8;
    }

    public void setLength8(String length8) {
        this.length8 = length8;
    }

    public String getLength9() {
        return length9;
    }

    public void setLength9(String length9) {
        this.length9 = length9;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jgid", getJgid())
            .append("levelid", getLevelid())
            .append("codeid1", getCodeid1())
            .append("length1", getLength1())
            .append("name1", getName1())
            .append("codeid2", getCodeid2())
                .append("length2", getLength2())
                .append("name2", getName2())
            .append("codeid3", getCodeid3())
                .append("length3", getLength3())
                .append("name3", getName3())
            .append("codeid4", getCodeid4())
                .append("length4", getLength4())
                .append("name4", getName4())
            .append("codeid5", getCodeid5())
                .append("length5", getLength5())
                .append("name5", getName5())
            .append("codeid6", getCodeid6())
                .append("length6", getLength6())
                .append("name6", getName6())
            .append("codeid7", getCodeid7())
                .append("length7", getLength7())
                .append("name7", getName7())
            .append("codeid8", getCodeid8())
                .append("length8", getLength8())
                .append("name8", getName8())
            .append("codeid9", getCodeid9())
                .append("length9", getLength9())
                .append("name9", getName9())
            .append("summary", getSummary())
            .append("approved", getApproved())
            .append("sfzx", getSfzx())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
